Bug 13427 - jQuery Timepicker is not translated on returns page
Summary: jQuery Timepicker is not translated on returns page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-10 07:02 UTC by Josef Moravec
Modified: 2016-12-05 21:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Timepicker on returns page (94.50 KB, image/png)
2014-12-10 07:02 UTC, Josef Moravec
Details
Bug 13427: jQuery Timepicker is not translated on returns page (1.24 KB, patch)
2015-06-08 03:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13427: jQuery Timepicker is not translated on returns page (1.32 KB, patch)
2015-06-08 05:17 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 13427: jQuery Timepicker is not translated on returns page (1.38 KB, patch)
2015-06-16 16:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2014-12-10 07:02:26 UTC
Created attachment 34266 [details]
Timepicker on returns page

In circulation module on checkin page (/cgi-bin/koha/circ/returns.pl), the timepicker for setting the return date/time is not fully translatable, as I understand (according to bug http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=11618), there is missing line

[% INCLUDE 'timepicker.inc' %]

in returns.tt template file.
Comment 1 Katrin Fischer 2015-06-08 03:08:24 UTC Comment hidden (obsolete)
Comment 2 Josef Moravec 2015-06-08 05:17:00 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-16 16:55:57 UTC
Created attachment 40197 [details] [review]
Bug 13427: jQuery Timepicker is not translated on returns page

The returns page was missing an include with the translated strings.

To test:
- Install an additional language, like de-DE
- Confirm the bug on the returns page
  - Make sure SpecifyReturnDate is activated
  - Open the datepicker, look at the time settings
- Apply the patch
- Reinstall the language, no update of the po files is needed
- Retest
- Verify, that now the time settings are translated

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Works as expected

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-06-19 14:48:17 UTC
Patch pushed to master.

Thanks Katrina!
Comment 5 Chris Cormack 2015-06-29 09:34:10 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 6 Liz Rea 2015-07-20 22:02:05 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 7 Mason James 2015-07-25 10:37:11 UTC
Pushed to 3.16.x, will be in 3.16.13